<script>

		jQuery(document).ready(function(){

			//ajout d'un contenu à la gallerie
		    jQuery('#form_new_fg').submit(function(){
		    	if(jQuery('#form_new_fg input[name="image"]').val() == '')
		    		alert('Please choose an image !');
		    	else if(jQuery('#form_new_fg input[name="title"]').val() == '')
		    		alert('Title can\'t be empty !');
		    	else
		    	{
		    		//enregistre les données saisies dans l'éditeur TinyMCE avant envoi Ajax
		    		editor = tinyMCE.get( jQuery(this).find('.wp-editor-area').attr('id') );
		    		editor.save();

		    		//on ajoute le contenu en ajax
		    		jQuery.post(ajaxurl, jQuery(this).serialize(), function(id_content){
		    			window.location.reload();
			    	});
				}
		    	return false;
		    });


			//choix d'une image
		    jQuery('.form_fg .browse').click(function(e) {
		    	var _this = this;
		        e.preventDefault();
		        var image = wp.media({ 
		            title: 'Upload Image',
		            // mutiple: true if you want to upload multiple files at once
		            multiple: false
		        }).open()
		        .on('select', function(e){
		            // This will return the selected image from the Media Uploader, the result is an object
		            var uploaded_image = image.state().get('selection').first();
		            // We convert uploaded_image to a JSON object to make accessing it easier
		            // Output to the console uploaded_image
		            var image_url = uploaded_image.toJSON().url;
		            // Let's assign the url value to the input field
		            jQuery(_this).parent().find('input[name="image"]').val(image_url);
		        });
		    });

		    //save content
		    jQuery('#future_gallery .form_fg').submit(function(){

				var _this = this;
		    	if(jQuery(_this).find('input[name="image"]').val() == '')
		    		alert('Please choose an image !');
		    	else if(jQuery(_this).find('input[name="title"]').val() == '')
		    		alert('Title can\'t be empty !');
		    	else
		    	{
		    		//enregistre les données saisies dans l'éditeur TinyMCE avant envoi Ajax
		    		editor = tinyMCE.get( jQuery(this).find('.wp-editor-area').attr('id') );
		    		editor.save();

			    	jQuery(_this).find('img.loading').show();
			    	jQuery.post(ajaxurl, jQuery(this).serialize(), function(){
			    		//récupère la nouvelle image
			    		var new_image = jQuery(_this).find('input[name="image"]').val();
			    		jQuery(_this).parent('li').find('img.thumbnail').attr('src', new_image);
			    		jQuery(_this).find('img.loading').hide();
			    	});
			    }
		    	return false;

			});

			//changement d'ordre des contenus
			jQuery('#future_gallery').sortable({
				update: function( event, ui ) {
					//effectuer le changement de position en BDD par Ajax
					jQuery.post(ajaxurl, {action: 'fg_order_content', id: jQuery(ui.item).attr('rel'), order: (ui.item.index()+1), _ajax_nonce: '<?= wp_create_nonce( "fg_order_content" ); ?>' });
				}
			});

			//suppression content
			jQuery('#future_gallery .remove').click(function(e) {

				var _this = this;
				var id = jQuery(this).attr('rel');
				jQuery.post(ajaxurl, {action: 'fg_remove_content', id: id, _ajax_nonce: '<?= wp_create_nonce( "fg_remove_content" ); ?>'}, function(data){
					jQuery(_this).parent().parent().remove();
				});

			});

		});

</script>
<h2><?php echo $gallery->name ?></h2>
<form action="" method="post" class="form_fg" id="form_new_fg">
	<input type="hidden" name="action" value="fg_add_content" />
	<input type="hidden" name="id" value="<?php echo $gallery->id ?>" />
	<?php wp_nonce_field( 'new_content_fg' ) ?>
	<b>Add a content</b><br />
	<label>Title: </label><input type="text" name="title" /><br />
	<label>Image: </label><input type="text" name="image" /> <button class="browse">Browse...</button><br />
	<label>Text: </label><?php echo wp_editor( '', 'text', array('textarea_name' => 'text') ); ?><br />
	<label>Link: </label><input type="text" name="link" /> <input type="checkbox" name="blank" value="1" /> Blank ?<br />
	<input type="submit" value="Add content" />
</form>
<ul id="future_gallery">
<?php

	if(sizeof($contents) > 0)
	{
		foreach($contents as $content)
		{
		
			echo '<li rel="'.$content->id.'"><img class="thumbnail" rel="'.$content->id.'" src="'.$content->image.'" />
				<form class="form_fg">'.
					wp_nonce_field( 'update_content_fg', "_wpnonce", true, false ).'
					<input type="hidden" name="id" value="'.$content->id.'" />
					<input type="hidden" name="action" value="fg_save_content" />
					<label>Title : </label><input type="text" name="title" value="'.$content->title.'"><br />
					<label>Image : </label><input type="text" name="image" value="'.$content->image.'"><button class="browse">Browse...</button><br />
					<label>Text : </label>';
					wp_editor( $content->text, 'text_'.$content->id, array('textarea_name' => 'text') );
					echo '<br />
					<label>Link : </label><input type="text" name="link" value="'.$content->link.'" /><input type="checkbox" name="blank" value="1" '.($content->blank == 1 ? 'checked="checked"' : '').' /> Blank ?<br />	
					<input type="image" src="'.plugins_url( 'images/save.png', dirname(__FILE__) ).'" /><img src="'.plugins_url( 'images/loading.gif', dirname(__FILE__) ).'" class="loading" />
					<img class="remove" rel="'.$content->id.'" src="'.plugins_url( 'images/remove.png', dirname(__FILE__) ).'" />
				</form>
				</li>';
		}
	}
	else
		echo 'No content found for this future gallery!';

?>